> ## Documentation Index
> Fetch the complete documentation index at: https://developer.obiex.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Trades Summary



## OpenAPI

````yaml /api-reference/openapi.json get /trades/summary/me
openapi: 3.0.0
info:
  title: Obiex API
  version: 1.0.0
  description: >-
    Welcome to the Obiex API Documentation, your guide to building amazing
    payment experiences with our powerful APIs.


    Start by reviewing the overview of each folder to understand how the APIs
    function and interact. This will help you get the most out of our platform
    and easily integrate its features into your applications.
servers:
  - url: https://api.obiex.finance/v1
security: []
paths:
  /trades/summary/me:
    get:
      tags:
        - Trades
      summary: Get User Trades Summary
      parameters:
        - name: currencyId
          in: query
          schema:
            type: string
          example: 562376f7-dcf4-42e3-8cd8-85aed7c03791
        - name: page
          in: query
          schema:
            type: integer
          example: '1'
        - name: pageSize
          in: query
          schema:
            type: integer
          example: '10'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
              example:
                message: Ok
                data:
                  totalDollarVolume: 19.8
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````